LRINT(3)

NAME
lrint, lrintf, lrintl, llrint, llrintf, llrintl - round to nearest integer

SYNOPSIS
#include <math.h>

long int lrint(double x);
long int lrintf(float x);
long int lrintl(long double x);

long long int llrint(double x);
long long int llrintf(float x);
long long int llrintl(long double x);

Link with -lm.

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

All functions shown above: _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE; or cc -std=c99

DESCRIPTION
These functions round their argument to the nearest integer value, using the current rounding direction. If x is infinite or NaN, or if the rounded value is outside the range of the return type, the numeric result is unspecified. A domain error may occur if the magnitude of x is too large.

RETURN VALUE
The rounded integer value.

ERRORS

EDOM
    The magnitude of x is too large and (math_errhandling & MATH_ERRNO) is nonzero.

CONFORMING TO
C99.

SEE ALSO
ceil(3), floor(3), lround(3), nearbyint(3), rint(3), round(3)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.